\section{Appendix}

\subsection{\LaTeX collaborative editing}

\begin{frame}{\LaTeX collaborative editing}

    \footnotesize

    \begin{block}{It is possible to use git for collaborative editing of \LaTeX?}
        As long as \LaTeX is a document format based in plain text, like code, it is easy to collaborate in the edition of documents using this technology

        Other document types, like \textit{OpenXML} (\textit{Microsoft Word} document), can be edited this way, but it is more complex to do it as these files are "binaries", and it is more complex to compare (it is not possible to compare with \texttt{diff}).
    \end{block}

    \begin{center}
        \begin{figure}[h]
            \includegraphics[width=0.55\textwidth]{latex.png}
            \caption{The latex project}
        \end{figure}
    \end{center}

\end{frame}

\begin{frame}{Example \LaTeX editing}

    \begin{alertblock}{}
        See \texttt{git-example-tutorial/examples/LaTeX/}
    \end{alertblock}

    \footnotesize
    \begin{block}{Steps}
        \begin{enumerate}
            \item Create a new branch for the editing: \texttt{git checkout -b name}
            \item Go to the paper folder: \texttt{git-example-tutorial/docs/paper/}
            \item Edit the file as please
            \item Push the changes \texttt{git commit -a -m \"Adding Acknowledgements\"} and then \texttt{git push --set-upstream origin name}
            \item Open a \textbf{MR}. See next slide
        \end{enumerate}
    \end{block}

\end{frame}

\begin{frame}{Example \LaTeX editing. Create \textbf{MR}}
    \begin{columns}
        \column{0.45\textwidth}
        \begin{center}
            \begin{figure}[h]
                \includegraphics[width=1.0\textwidth]{create_mr_latex.png}
                \caption{Create \textbf{MR}}
            \end{figure}
        \end{center}
        \begin{center}
            \begin{figure}[h]
                \includegraphics[width=1.0\textwidth]{mr_creation_latex.png}
                \caption{\textbf{MR} creation}
            \end{figure}
        \end{center}
        \column{0.45\textwidth}
        \begin{center}
            \begin{figure}[h]
                \includegraphics[width=1.0\textwidth]{comments_latex.png}
                \caption{Comments}
            \end{figure}
        \end{center}
    \end{columns}
\end{frame}

